Class DaprEndpointBuilderFactory.DaprHeaderNameBuilder

java.lang.Object
org.apache.camel.builder.endpoint.dsl.DaprEndpointBuilderFactory.DaprHeaderNameBuilder
Enclosing interface:
DaprEndpointBuilderFactory

public static class DaprEndpointBuilderFactory.DaprHeaderNameBuilder extends Object
The builder of headers' name for the Dapr component.
  • Constructor Details

    • DaprHeaderNameBuilder

      public DaprHeaderNameBuilder()
  • Method Details

    • daprServiceToInvoke

      public String daprServiceToInvoke()
      Target service to invoke. Can be a Dapr App ID, a named HTTPEndpoint, or a FQDN/public URL. The option is a: String type. Group: producer
      Returns:
      the name of the header DaprServiceToInvoke.
    • daprMethodToInvoke

      public String daprMethodToInvoke()
      The name of the method or route to invoke on the target service. The option is a: String type. Group: producer
      Returns:
      the name of the header DaprMethodToInvoke.
    • daprVerb

      public String daprVerb()
      The HTTP verb to use for service invocation. The option is a: String type. Group: producer
      Returns:
      the name of the header DaprVerb.
    • daprQueryParameters

      public String daprQueryParameters()
      The query parameters for HTTP requests. The option is a: Map<String, List<String>> type. Group: producer
      Returns:
      the name of the header DaprQueryParameters.
    • daprHttpHeaders

      public String daprHttpHeaders()
      The headers for HTTP requests. The option is a: Map<String, String> type. Group: producer
      Returns:
      the name of the header DaprHttpHeaders.
    • daprHttpExtension

      public String daprHttpExtension()
      The HttpExtension object for service invocation. Takes precedence over verb. The option is a: HttpExtension type. Group: producer
      Returns:
      the name of the header DaprHttpExtension.
    • daprStateOperation

      public String daprStateOperation()
      The state operation to perform on the state store. Required for DaprOperation.state operation. The option is a: StateOperation type. Default: get Group: producer
      Returns:
      the name of the header DaprStateOperation.
    • daprStateStore

      public String daprStateStore()
      The name of the Dapr state store to interact with, defined in statestore.yaml config. The option is a: String type. Group: producer
      Returns:
      the name of the header DaprStateStore.
    • daprSecretStore

      public String daprSecretStore()
      The name of the Dapr secret store to interact with, defined in local-secret-store.yaml config. The option is a: String type. Group: producer
      Returns:
      the name of the header DaprSecretStore.
    • daprConfigStore

      public String daprConfigStore()
      The name of the Dapr config store to interact with, defined in statestore.yaml config. The option is a: String type. Group: producer
      Returns:
      the name of the header DaprConfigStore.
    • daprKey

      public String daprKey()
      The key used to identify the state/secret object within the specified state/secret store. The option is a: String type. Group: producer
      Returns:
      the name of the header DaprKey.
    • daprETag

      public String daprETag()
      The eTag for optimistic concurrency during state save or delete operations. The option is a: String type. Group: producer
      Returns:
      the name of the header DaprETag.
    • daprConcurrency

      public String daprConcurrency()
      Concurrency mode to use with state operations. The option is a: io.dapr.client.domain.StateOptions.Concurrency type. Group: producer
      Returns:
      the name of the header DaprConcurrency.
    • daprConsistency

      public String daprConsistency()
      Consistency level to use with state operations. The option is a: io.dapr.client.domain.StateOptions.Consistency type. Group: producer
      Returns:
      the name of the header DaprConsistency.
    • daprMetadata

      public String daprMetadata()
      Additional key-value pairs to be passed to the state store. The option is a: Map<String, String> type. Group: producer
      Returns:
      the name of the header DaprMetadata.
    • daprStates

      public String daprStates()
      List of states for bulk save operation. The option is a: List<State<?>> type. Group: producer
      Returns:
      the name of the header DaprStates.
    • daprKeys

      public String daprKeys()
      List of keys for bulk get operation. The option is a: List<String> type. Group: producer
      Returns:
      the name of the header DaprKeys.
    • daprTransactions

      public String daprTransactions()
      List of transactions for execute transactions state operations. The option is a: List<TransactionalStateOperation<?>> type. Group: producer
      Returns:
      the name of the header DaprTransactions.
    • daprPubSubName

      public String daprPubSubName()
      The name of the Dapr Pub/Sub component to use. This identifies which underlying messaging system Dapr will interact with for publishing or subscribing to events. The option is a: String type. Group: common
      Returns:
      the name of the header DaprPubSubName.
    • daprTopic

      public String daprTopic()
      The name of the topic to subscribe to. The topic must exist in the Pub/Sub component configured under the given pubsubName. The option is a: String type. Group: common
      Returns:
      the name of the header DaprTopic.
    • daprContentType

      public String daprContentType()
      The content type for the Pub/Sub component to use. The option is a: String type. Group: common
      Returns:
      the name of the header DaprContentType.
    • daprID

      public String daprID()
      Gets the unique identifier for the event, used to distinguish it from other events. The option is a: String type. Group: consumer
      Returns:
      the name of the header DaprID.
    • daprSource

      public String daprSource()
      Gets the origin of the event, typically a URI indicating the component or service that generated the event. The option is a: String type. Group: consumer
      Returns:
      the name of the header DaprSource.
    • daprType

      public String daprType()
      Gets the string indicating the type of cloud event. The option is a: String type. Group: consumer
      Returns:
      the name of the header DaprType.
    • daprSpecificVersion

      public String daprSpecificVersion()
      Gets the version of the CloudEvents specification that the event conforms to. The option is a: String type. Group: consumer
      Returns:
      the name of the header DaprSpecificVersion.
    • daprDataContentType

      public String daprDataContentType()
      Gets the content type of the event data. The option is a: String type. Group: consumer
      Returns:
      the name of the header DaprDataContentType.
    • daprBinaryData

      public String daprBinaryData()
      Gets the raw binary data payload of the event, if present (for events where data_base64 is used instead of data). The option is a: byte[] type. Group: consumer
      Returns:
      the name of the header DaprBinaryData.
    • daprTime

      public String daprTime()
      Gets the timestamp of when the event occurred. The option is a: OffsetDateTime type. Group: consumer
      Returns:
      the name of the header DaprTime.
    • daprTraceParent

      public String daprTraceParent()
      Gets tracing info for following the event across services (includes trace ID and span ID). The option is a: String type. Group: consumer
      Returns:
      the name of the header DaprTraceParent.
    • daprTraceState

      public String daprTraceState()
      Gets additional vendor-specific trace context. The option is a: String type. Group: consumer
      Returns:
      the name of the header DaprTraceState.
    • daprBindingName

      public String daprBindingName()
      The name of the Dapr binding to invoke. The option is a: String type. Group: producer
      Returns:
      the name of the header DaprBindingName.
    • daprBindingOperation

      public String daprBindingOperation()
      The operation to perform on the binding. The option is a: String type. Group: producer
      Returns:
      the name of the header DaprBindingOperation.
    • daprConfigKeys

      public String daprConfigKeys()
      List of keys for configuration operation. The option is a: String type. Group: producer
      Returns:
      the name of the header DaprConfigKeys.
    • daprSubscriptionId

      public String daprSubscriptionId()
      The id for configuration change subscription. The option is a: String type. Group: consumer
      Returns:
      the name of the header DaprSubscriptionId.
    • daprRawConfigResponse

      public String daprRawConfigResponse()
      The raw configuration update response. The option is a: Map<String, io.dapr.client.domain.ConfigurationItem type. Group: common
      Returns:
      the name of the header DaprRawConfigResponse.
    • daprLockOperation

      public String daprLockOperation()
      The lock operation to perform on the store. Required for DaprOperation.lock operation. The option is a: LockOperation type. Default: tryLock Group: producer
      Returns:
      the name of the header DaprLockOperation.
    • daprStoreName

      public String daprStoreName()
      The lock store name. The option is a: String type. Group: producer
      Returns:
      the name of the header DaprStoreName.
    • daprResourceId

      public String daprResourceId()
      The resource Id for the lock. The option is a: String type. Group: producer
      Returns:
      the name of the header DaprResourceId.
    • daprLockOwner

      public String daprLockOwner()
      The lock owner identifier for the lock. The option is a: String type. Group: producer
      Returns:
      the name of the header DaprLockOwner.
    • daprExpiryInSeconds

      public String daprExpiryInSeconds()
      The expiry time in seconds for the lock. The option is a: Integer type. Group: producer
      Returns:
      the name of the header DaprExpiryInSeconds.
    • daprWorkflowOperation

      public String daprWorkflowOperation()
      The workflow operation to perform.Required for DaprOperation.workflow operation. The option is a: WorkflowOperation type. Default: scheduleNew Group: producer
      Returns:
      the name of the header DaprWorkflowOperation.
    • daprWorkflowClass

      public String daprWorkflowClass()
      The FQCN of the class which implements io.dapr.workflows.Workflow. The option is a: String type. Group: producer
      Returns:
      the name of the header DaprWorkflowClass.
    • daprWorkflowVersion

      public String daprWorkflowVersion()
      The version of the workflow to start. The option is a: String type. Group: producer
      Returns:
      the name of the header DaprWorkflowVersion.
    • daprWorkflowInstanceId

      public String daprWorkflowInstanceId()
      The instance ID of the workflow. The option is a: String type. Group: producer
      Returns:
      the name of the header DaprWorkflowInstanceId.
    • daprWorkflowStartTime

      public String daprWorkflowStartTime()
      The start time of the new workflow. The option is a: Instant type. Group: producer
      Returns:
      the name of the header DaprWorkflowStartTime.
    • daprSuspendReason

      public String daprSuspendReason()
      Reason for suspending/resuming the workflow instance. The option is a: String type. Group: producer
      Returns:
      the name of the header DaprSuspendReason.
    • daprNewWorkflowInstanceId

      public String daprNewWorkflowInstanceId()
      The instance ID of the new scheduled workflow. The option is a: String type. Group: producer
      Returns:
      the name of the header DaprNewWorkflowInstanceId.
    • daprGetWorkflowIO

      public String daprGetWorkflowIO()
      Set true to fetch the workflow instance's inputs, outputs, and custom status, or false to omit. The option is a: boolean type. Group: producer
      Returns:
      the name of the header DaprGetWorkflowIO.
    • daprWorkflowName

      public String daprWorkflowName()
      The workflow name. The option is a: String type. Group: producer
      Returns:
      the name of the header DaprWorkflowName.
    • daprWorkflowCreatedAt

      public String daprWorkflowCreatedAt()
      Gets the workflow instance's creation time in UTC. The option is a: Instant type. Group: producer
      Returns:
      the name of the header DaprWorkflowCreatedAt.
    • daprWorkflowUpdatedAt

      public String daprWorkflowUpdatedAt()
      Gets the workflow instance's last updated time in UTC. The option is a: Instant type. Group: producer
      Returns:
      the name of the header DaprWorkflowUpdatedAt.
    • daprWorkflowSerializedInput

      public String daprWorkflowSerializedInput()
      Gets the workflow instance's serialized input, if any. The option is a: String type. Group: producer
      Returns:
      the name of the header DaprWorkflowSerializedInput.
    • daprWorkflowSerializedOutput

      public String daprWorkflowSerializedOutput()
      Gets the workflow instance's serialized output, if any. The option is a: String type. Group: producer
      Returns:
      the name of the header DaprWorkflowSerializedOutput.
    • daprWorkflowFailureDetails

      public String daprWorkflowFailureDetails()
      The failure details of the failed workflow instance or null. The option is a: io.dapr.workflows.client.WorkflowFailureDetails type. Group: producer
      Returns:
      the name of the header DaprWorkflowFailureDetails.
    • daprIsWorkflowRunning

      public String daprIsWorkflowRunning()
      Set true if the workflow existed and was in a running state otherwise false. The option is a: boolean type. Group: producer
      Returns:
      the name of the header DaprIsWorkflowRunning.
    • daprIsWorkflowCompleted

      public String daprIsWorkflowCompleted()
      Set true if the workflow was in a terminal state; otherwise false. The option is a: boolean type. Group: producer
      Returns:
      the name of the header DaprIsWorkflowCompleted.
    • daprTimeout

      public String daprTimeout()
      The amount of time to wait for the workflow instance to start/complete. The option is a: Duration type. Group: producer
      Returns:
      the name of the header DaprTimeout.
    • daprEventName

      public String daprEventName()
      The name of the event. Event names are case-insensitive. The option is a: String type. Group: producer
      Returns:
      the name of the header DaprEventName.